Subject: Sound input to the 2gs [long]
From: [email-masked] (Adrian Whichello)
Date: 13 Jan 1997 22:53:35 GMT
Newsgroups: comp.sys.apple2

Hi everyone,

I've been mucking around with getting sounds into the 2gs lately, and thought
I'd share the results, so far. Ages ago David Empsom wrote about using the
internal ADC (to comp.sys.apple2):

> It is the 7-pin molex connector in the lower right corner of the
> motherboard, next to the Ensoniq.  All stereo cards plug into this
> connector.
> 
> Most of the pins are used for sound output and associated demultiplexing. 
> Pin 1 is the sound input and pin 2 is analog ground.  (Pin 1 is the one
> closest to the back of the computer, right next to the legend "J25" on the
> ROM 1 motherboard.)

NB^^^^^^^^^^^^^^^^^^ THIS IS BACKWARDS!!! Pin 1 is closest the FRONT of the
2gs, ie close to the green power on light.

> 
> The sound input expects a signal which has a maximum range of 2.5V peak to
> peak.  The input impedance is 3000 ohms.
> 
> I'm not all that clear on audio impedances and voltages, so I'm not sure
> if it is safe to connect anything directly to this pin.  It may be
> necessary to use a simple amplifier circuit to handle impedance matching.
> 
> Can anyone elaborate on this?

I found the following circuit on ground (in

ftp://ground.isca.uiowa.edu/apple2/MiscInfo/Hardware/digitizer.circuit

[quote]

If you don't mind putting together a few parts, you can build your own 
adapter, though (explanation follows):

   GS
 Analog
   In ---------------+------------+----+----------||------ >>
                     |            |    |  10-500 microfarad
                    -+-          -+-   +      capacitor        To CD player,
          5V Zener  /_\   Signal /_\   = 1.5V Battery           microphone,
           diode     |    Diode   |    -                           etc.
   GS                |            |    |                     
 Ground -------------+------------+----+------------------ >>
  
[end quote]                                                   

but I changed it to this (a better ascii rendition of the circuit is
available!):

   GS
 Analog                                                 100 uF
   In ---------------+------------+----+---------+--------||------ >>
                     |            |              <       +
                    -+-          -+-   +-----+    > 10K         To CD player,
          5V Zener  /_\   Signal /_\   = 3V  <   <               microphone,
           diode     |    Diode   |    -      ><-+                 etc.
   GS                |            |    |     < 10K pot               
 Ground -------------+------------+----+-----+-------------------- >>

The Ensoniq is designed to handle 0 to 2.5V input, but audio sources usually
swing more or less equally +/- about zero. Therefore we need a level shifter,
to put the appropriate DC bias onto the input. The 3V battery and the 10K pot
are for this. To stop the low internal impedence of the battery effectively
shorting the sound source (which happens with the first circuit), I've included
another 10K resistor. The easy way to set this up is to use a program like
AudioZap and with the CD etc.  end input shorted, set the centreline of the
oscilloscope display to be halfway up the screen, so the input signal will
swing equally either side of this reference voltage. The zener diode is to clip
the top of spikes to limit them to about 5V and the signal diode is to clip any
negative going signal to -0.6V. This is protect the Ensoniq chip from overload.
The capacitor keeps the DC out of the source.  Pin one on the GS connector is
closest to the *front* of the computer (ie with the expansion slots at the
back.

The Ensoniq has a fairly low input impedence (about 3-5K), but most portable
cassette or CD players should be able to handle this, since most headphones
have a much lower impedence than this (usually around 50 to 100 ohms, even as
low as eight for old ones). You can use a tape deck as an amplifier and
"impedence buffer" for a microphone.

If you can get the file

http://cassius.ee.su.oz.au/~adrianw/gsaudioin.bsq

there's proof there that it all works (a raw sound file I made).

Adrian.

ps does anyone else hate the tabs that open the 2gs case as much as I do? I
always hurt my fingers trying to push them in enough to get the lid off.

--
Dr Adrian Whichello                                  Phone: +61 2 9351 4824
Imaging Science and Engineering Laboratory             Fax: +61 2 9351 3847
Sydney University Electrical Engineering      Email: [email-masked]
Australia                           WWW: http://www.ee.usyd.edu.au/~adrianw

"I wish to God these calculations had been executed by steam!" - C. Babbage